Package weka.core.pmml.jaxbbindings

# Class VerificationField

java.lang.Object
weka.core.pmml.jaxbbindings.VerificationField

public class VerificationField extends Object

Java class for VerificationField element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="VerificationField">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="field" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="precision" type="{http://www.w3.org/2001/XMLSchema}double" default="1E-6" />
             <attribute name="zeroThreshold" type="{http://www.w3.org/2001/XMLSchema}double" default="1E-16" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VerificationField()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColumn()`
  Gets the value of the column property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getField()`
  Gets the value of the field property.
  `double`
  `getPrecision()`
  Gets the value of the precision property.
  `double`
  `getZeroThreshold()`
  Gets the value of the zeroThreshold property.
  `void`
  `setColumn(String value)`
  Sets the value of the column property.
  `void`
  `setField(String value)`
  Sets the value of the field property.
  `void`
  `setPrecision(Double value)`
  Sets the value of the precision property.
  `void`
  `setZeroThreshold(Double value)`
  Sets the value of the zeroThreshold property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VerificationField

    public VerificationField()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getColumn

    public String getColumn()
    Gets the value of the column property.
    Returns:
      possible object is `String`

  - ### setColumn

    public void setColumn(String value)
    Sets the value of the column property.
    Parameters:
      `value` - allowed object is `String`

  - ### getField

    public String getField()
    Gets the value of the field property.
    Returns:
      possible object is `String`

  - ### setField

    public void setField(String value)
    Sets the value of the field property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPrecision

    public double getPrecision()
    Gets the value of the precision property.
    Returns:
      possible object is `Double`

  - ### setPrecision

    public void setPrecision(Double value)
    Sets the value of the precision property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getZeroThreshold

    public double getZeroThreshold()
    Gets the value of the zeroThreshold property.
    Returns:
      possible object is `Double`

  - ### setZeroThreshold

    public void setZeroThreshold(Double value)
    Sets the value of the zeroThreshold property.
    Parameters:
      `value` - allowed object is `Double`